<?php
error_reporting(0); 
include("../../config/qiantai.php");
session_start();
if(!isset($_SESSION['username'])){echo "<script>alert('请重新登录!')</script><script>top.location.href='/index$dshz'</script>";exit;}
$username=ubo($_SESSION['username']);
$type="where name='$username'";
$user=queryall(user,$type);
$userid=$user['userid'];
if(!$user){echo "<script>alert('请重新登录!')</script><script>top.location.href='/index$dshz'</script>";exit;}
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="gb2312">
<title>公告列表</title>
<meta name="renderer" content="webkit">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<meta name="apple-mobile-web-app-status-bar-style" content="black">
<meta name="apple-mobile-web-app-capable" content="yes">
<meta name="format-detection" content="telephone=no">
<link rel="stylesheet" href="/2019newui/qiantai/css/x-admin.css" media="all">
<script src="/2019newui/js/jquery.min.js"></script>
</head>
<body>
<div class="x-body">
<?php
$sql = mysql_query("SELECT * FROM gonggao");
$bs = mysql_num_rows($sql);
?>
<blockquote class="layui-elem-quote">
<dl class="apps-filter-tr">
<dt><span  class="xb">系统公告</span></dt>
</dl>
<span class="x-right" style="margin-top:-24px;line-height:10px">共有公告：<?php echo $bs?> 条 <a class="layui-btn-small" style="line-height:10px;margin-top:-2px;float:right"  href="javascript:location.replace(location.href);" title="刷新"><i class="fa fa-refresh"></i></a></span>
</blockquote>
<table class="layui-table">
<thead>
<tr>
<th style="text-align:center;" >标题</th>
<th style="text-align:center;" >发布时间</th>
<th style="text-align:center;" >查看</th>
</tr> 
</thead>
<tbody>
<?php 
$page_size=22; 
$sql = "WHERE 1=1";
$sql .=" and userid='admin' ";
$resul = mysql_query("select * from  gonggao    ".$sql."");
$count = mysql_num_rows($resul);
if($count == 0){echo '<tr><td colspan="3" style="text-align:center;">没有记录</td></tr> ';}
$page_count = ceil($count/$page_size); 
$init=1; 
$page_len=7; 
$max_p=$page_count; 
$pages=$page_count; 
if(empty($_GET['page'])||$_GET['page']<0){ 
$page=1; 
}else { 
$page=$_GET['page']; 
} 
$offset=$page_size*($page-1); 
$querybyyy = mysql_query("select * from  gonggao  ".$sql."  order by shijian desc     limit $offset, $page_size");
while ($ayyy=mysql_fetch_array($querybyyy)) { 
?> 
<tr>
<td style="text-align:center;" >
<a  onClick="gg('<?php echo $ayyy[biaoti]?>','<?php echo $ayyy[neirong]?>','<?php echo $ayyy[id]?>')"><?php if($ayyy[zt]==1){?><font color="ff0000">【重要通知】<?php echo $ayyy[biaoti]?></font><?php }else{?> <?php echo $ayyy[biaoti]?><?php }?></a></td>
<td style="text-align:center;" ><?php echo $ayyy[shijian]?></td>
<td style="text-align:center;" ><span><a  onClick="gg('<?php echo $ayyy[biaoti]?>','<?php echo $ayyy[neirong]?>','<?php echo $ayyy[id]?>')">查看</a></span></td>
</tr>
<?php 
} 
$page_len = ($page_len%2)?$page_len:$pagelen+1;//页码个数 
$pageoffset = ($page_len-1)/2;//页码个数左右偏移量 
if($page!=1){ 
$keyt.="<a href=\""."/ggpage/1/\">首页</a>"; //首页 
$keyt.="<a href=\""."/ggpage/".($page-1)."/\">上一页 </a>"; //上一页 
}else { 
$keyt.="<p>首页</p>"; //首页 
$keyt.="<p>上一页 </p>"; //上一页  
} 
if($pages>$page_len){ 
//如果当前页小于等于左偏移 
if($page<=$pageoffset){ 
$init=1; 
$max_p = $page_len; 
}else{//如果当前页大于左偏移 
//如果当前页码右偏移超出最大分页数 
if($page+$pageoffset>=$pages+1){ 
$init = $pages-$page_len+1; 
}else{ 
//左右偏移都存在时的计算 
$init = $page-$pageoffset; 
$max_p = $page+$pageoffset; 
} 
} 
} 
for($i=$init;$i<=$max_p;$i++){ 
if($i==$page){ 
$keyt.='<a class="cur">'.$i.'</a>'; 
} else { 
$keyt.="<a href=\""."/ggpage/".$i."/\">".$i."</a>"; 
} 
} 
if($page!=$pages){ 
$keyt.="<a href=\""."/ggpage/".($page+1)."/\">下一页 </a> ";//下一页 
$keyt.="<a href=\""."/ggpage/{$pages}/\">尾页</a> "; //最后一页 
}else { 
$keyt.="<p>下一页 </p>";//下一页 
$keyt.="<p>尾页</p>"; //最后一页 
} 
$keyt.="<p class='pageRemark' >当前第 <b> $page </b> 页/共 <b> $pages </b> 页  共 <b>$count</b> 条数据 </p>"; //第几页,共几页 
?>   	 
</tbody>
</table>
<div style="padding:0 20px;">
<div class="pagination">
<?php if($count =="0"){?><?php }else{?><?php echo $keyt?><?php }?>
</div>
</div>
</div>
</div>
</div>
</div>
<script src="/layui/layui.js" charset="utf-8"></script> 
<script src="/2019newui/js/x-admin.js"></script> 
<script>
layui.use(['form', 'layedit', 'laydate', 'element', 'jquery', 'layer'], function(){
var form = layui.form
,layer   = layui.layer
,layedit = layui.layedit
,element = layui.element
,$= layui.jquery
,laydate = layui.laydate;
});
</script>
<script>
function gg(biaoti,neirong,id){
layer.open({
type: 1,
title: "公告内容",
area: '500px',
shade: 0.8,
id: 'LAY_layuipro',
btn: ['朕已阅'],
moveType: 1,
content: '<div style="padding:15px 20px; text-align:justify; line-height: 22px; text-indent:2em;border-bottom:1px solid #e2e2e2;widht:100%;height:100%;word-wrap: break-word"><p class="layui-red">'+neirong+'</span></p></div>',
success: function(layero){
var btn = layero.find('.layui-layer-btn');
btn.css('text-align', 'center');
btn.on("click",function(){
$.ajax({
type : "post",
url : "/upgg<?php echo $dshz?>",
dataType: "json",  
async: true,
data: {id: id},
timeout: 10000 ,
success : function(data){
},
error:function(){
}
});
location.reload();
});
},
cancel: function(index, layero){
$.ajax({
type : "post",
url : "/upgg<?php echo $dshz?>",
dataType: "json",  
async: true,
data: {id: id},
timeout: 10000 ,
success : function(data){
},
error:function(){
}
});
location.reload();
}
});
}
</script> 
</body>
</html>